# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit comments via http://www.mandrivaclub.nl

%define name    lmms
%define version 0.1.2
%define release 1.2006mcnl
%define summary Linux Multimedia Studio
%define section Multimedia/Sound

%define	major	0
%define	libname	%mklibname %name %major

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://lmms.sourceforge.net/
License:        GPL
Group:          Sound
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        %{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildRequires:  libxfree86-devel libqt3-devel libsamplerate-devel libSDL_sound1.0-devel
Requires:	%libname = %version-%release

%description
LMMS aims to be a free alternative to popular (but commercial and 
closed- source) programs like FruityLoops, Cubase and Logic giving 
you the ability of producing music with your computer by creating 
cool loops, synthesizing and mixing sounds, arranging samples, having 
more fun with your MIDI-keyboard and much more...

LMMS combines the features of a tracker-/sequencer-program 
(pattern-/channel-/ sample-/song-/effect-management) and those of 
powerful synthesizers and samplers in a modern, user-friendly and 
easy to use graphical user-interface.

What can I do with LMMS?
With LMMS you can produce electronic music with your computer, so you 
don't have to buy expensive hardware for having great sounds and making 
cool music. Of course no software can replace real hardware-synths, but 
you'll have still much fun with LMMS! LMMS provides software-synths, cool 
presets for them and also some essential samples. 
For getting started with LMMS you can take a look at the demo-projects.

%package -n	%libname
Summary:	Main libraries for %name
Group:		System/Libraries

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %name.

%package -n	%{libname}-devel
Summary:	Development tools for programs which will use the %libname library
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
The %{libname}-devel package includes the header files and static libraries
necessary for developing programs using the %{libname} library.

If you are going to develop programs which will use this library
you should install %{libname}-devel.  You'll also need to have the %name
package installed.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}

%build
%configure 

%make 

%install

make install DESTDIR=$RPM_BUILD_ROOT

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="Lmms" \
longtitle="%summary"
EOF


#icons
%define  nameicon artwork/icon.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

%clean 
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus


%files 
%defattr(-,root,root,0755) 
%doc README TODO COPYING AUTHORS 
%{_bindir}/%{name}

%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png

%{_datadir}/%{name}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_prefix}/lib/%{name}/*.so*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_prefix}/lib/%{name}/*.a
%{_prefix}/lib/%{name}/*.la

%changelog

* Thu Dec 22 2005 Marco Meijer <marco@mandrivaclub.nl> 0.1.2-1.2006mcnl
  version 0.1.2

* Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl> 0.1.1-1.2006mcnl
  version 0.1.1

* Tue Sep 20 2005 Marco Meijer <marco@mandrivaclub.nl> 0.1.0-1.102mcnl
  version 0.1.0

* Sat Sep 10 2005 Marco Meijer <marco@mandrivaclub.nl> 0.1.0-0rc1.102mcnl
  First build for Mandrivaclub.nl



